/*
 * $Id: XML_insert_XML.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/XML.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "XML::insert_XML"
  bool XML::insert_XML (XML xml, uint32_t offset_depth)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    //return text (xml.get_body());
    _body += xml.get_body(depth()+offset_depth);
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return true;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
